Skip to main content

POST /finance/bank/statements/import/process

POST 

/finance/bank/statements/import/process

POST /finance/bank/statements/import/process

Request​

Body

    bank_statements

    object[]

    nullable

  • Array [

  • created_at date-timenullable
    original_file_name stringnullable

    statements

    object[]

    nullable

  • Array [

  • id stringnullable
    created_at date-timenullable
    legal_seq_number stringnullable
    date_from date
    date_to date
    account_name stringnullable
    account_IBAN stringnullable
    currency stringnullable
    opening_balance doublenullable
    closing_balance doublenullable
    additional_info stringnullable

    entries

    object[]

    nullable

  • Array [

  • ref stringnullable
    amount double
    currency stringnullable
    booking_date datenullable
    valute_date datenullable
    acct_servicer_ref stringnullable
    end_to_end_id stringnullable
    transaction_id stringnullable
    cheque_number stringnullable
    property_type stringnullable
    property_ref stringnullable
    additional_info stringnullable
    remote_info stringnullable
    cdtr_name stringnullable
    cdtr_IBAN stringnullable
    cdtr_BIC stringnullable
    trading_party_name stringnullable
    transaction_amount doublenullable
    transaction_currency stringnullable
    payment_reference stringnullable
  • ]

  • ]

  • ]

  • options

    object

    mode Apollo.API.Models.Bank.ImportConflictMode (string)

    Possible values: [Merge, New]

    dates Apollo.API.Models.Bank.ImportPeriodMode (string)

    Possible values: [Split, Keep]

Responses​

OK

Schema

    processed_transactions int32
    skipped_transactions int32
Loading...